Bug 116741 - Panel expand/unexpand and position behavior
Panel expand/unexpand and position behavior
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 15:51 EST by Don Himelrick
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 15:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Himelrick 2004-02-24 15:51:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I noticed that with an empty (no launchers) unexpanded right
panel (orientation right, uncheck expand, uncheck autohide, check show
hide buttons, check arrows on hide buttons) it sometimes gets into a
funk in either the top right or lower right corner and it just
hides/unhides as fast as it can.  (That's pretty damn fast!) I have a
hell of a time trying to click on it to get it stop.

I don't know if I like an unexpanded panel going all the way to the
top or bottom of the screen when you click on the top or bottom
(respectively) hide button.  Sometimes when I click the bottom hide
button it just moves the expanded panel so that it is right above the
main panel.  It stays expanded but does NOT cover up the clock or any
other part of the main bottom panel.  Other times is goes to an
unexpanded panel with just the top expand button showing below the
time displayed on the main panel.  In this case it does cover up part
of the main bottom panel.

Version-Release number of selected component (if applicable):
gnome-panel-2.4.2-1

How reproducible:
Always

Steps to Reproduce:
1.See above - I can reproduce it every time, but sometimes it takes a
few different maneuvers of the panel to get it to flake out.
   

Additional info:
Comment 1 Mark McLoughlin 2004-02-27 13:03:07 EST
Don: could you give me the exact itemized steps you use to make this
happen. I can't get it to anything remotely like what I think you're
saying.

Thanks
Comment 2 Don Himelrick 2004-02-27 15:52:13 EST
O.K., it took me a while to get the exact sequence of events, but
here's how I can do reproduce everytime on 2 different up-to-date FC1
boxes.

- Create a new panel.

- Right click panel and adjust these properties:
   Uncheck "Expand"
   Check "Show hide buttons"
   Check "Arrows on hide buttons"
   Change Orientation to Right

-Middle click on top hide button and drag the panel to the uppermost,
                             rightmost corner of you desktop.

-Click the bottom hide botton. (panel should go to bottom of screen,
with only the top button showing, covering up the bottom panel)

-Middle click and drag the panel left so that the panel changes to
just a top hide button and then drag it right back to the very bottom
corner.

-At this point, you either have a panel without a bottom button, or
you just have a top button.  Quickly click the top button and voila!

FYI, I've gotten something similar in the top right corner as well, by
 holding down the left mouse button on the bottom hide button when the
bottom hide button is the only thing showing.

Comment 3 Leonard den Ottolander 2004-02-28 14:43:50 EST
Yes, I can reproduce this as well.
Comment 4 Bart Martens 2004-02-28 16:31:15 EST
If I follow the steps described below, I reproduce the problem every time.

(1) The main gnome-panel is at the bottom, expanded, no autohide, no
hide buttons shown. I have a few launchers on the gnome-panel at the
right. 

(2) Right click on the bottom gnome-panel, and select New Panel. A new
gnome-panel appears at the top of the desktop.

(3) Right click on it to modify its properties, in this order: no
expand, show hide buttons, orientation right. The new gnome-panel is
now smaller and is positioned vertically in the top middle of the desktop.

(4) Drag the little gnome-panel to the upper right corner of the
desktop, with the middle mouse button on the upper hide button.

(5) Click the bottom mouse button. The little gnome-panel is hidden,
and only the top hide button is visible, on top of the big
gnome-panel. The top hide button is against the bottom edge of the
desktop, and *almost* against the right edge of the desktop.

(6) Move the mouse pointer over the top hide button. The top hide
button may disappear. If so, try approaching slowly from above, until
you have the mouse over the visible top hide button.

(7) Drag the top hide button against the right edge of the desktop.
The little gnome-panel unhides, the bottom hide button remains hidden.
The unhidden little gnome-panel covers now a bigger part of the large
gnome-panel than the top hide button did before.

(8) Click the top hide button. The little gnome-panel now slides up,
including the bottom hide button, until it no longer covers the large
gnome-panel.

(9) Click the bottom hide button. The result is very similar to what
we saw before. The little gnome-panel is hidden, and only the top hide
button is visible, on top of the large gnome-panel.

(10) Now, click the top hide button, and immediately move away the
mouse pointer. The result is that the little gnome-panel is
continuously unhiding and hiding.
Comment 5 Mark McLoughlin 2004-03-01 15:57:58 EST
Thanks for the detailed report guys.

Tracking this upstream:

  http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=116741

Comment 6 Mark McLoughlin 2004-03-01 16:14:10 EST
Ah, wrong link - thanks Bart:

   http://bugzilla.gnome.org/show_bug.cgi?id=135876

Note You need to log in before you can comment on or make changes to this bug.